%define module  XML-LibXML
%define name    perl-%{module}
%define version 1.69
%define release %mkrel 1

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            Perl Binding for libxml2
License:            GPL or Artistic
Group:              Development/Perl
Url:                http://search.cpan.org/dist/%{module}/
Source:             http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
Patch0:		    XML-LibXML-1.65-shut-up-warnings-in-XML-LibXML-Reader.patch
Requires(post):     libxml2
Requires(post):     perl-XML-SAX >= 0.11
Requires(post):     perl-XML-LibXML-Common
Requires(preun):    libxml2
Requires(preun):    perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-LibXML-Common
BuildRequires:      libxml2-devel >= 2.4.20
BuildRequires:      perl-devel
BuildRequires:      perl(XML::NamespaceSupport)
BuildRequires:      perl(XML::SAX)
BuildRequires:      perl(XML::LibXML::Common)
Obsoletes:          perl-XML-LibXML-XPathContext
BuildRoot:          %{_tmppath}/%{name}-%{version}

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%preun -p %{__perl}
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{__perl}
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%defattr(-,root,root)
%doc Changes README example/*
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*



%changelog
* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-1mdv2009.1
+ Revision: 302687
- update to new version 1.69

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.68-1mdv2009.1
+ Revision: 300654
- update to new version 1.68

* Wed Nov 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.67-1mdv2009.1
+ Revision: 300014
- update to new version 1.67

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.66-2mdv2009.0
+ Revision: 224628
- rebuild

* Thu Jan 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.66-1mdv2008.1
+ Revision: 160740
- update to new version 1.66

* Thu Jan 17 2008 Pixel <pixel@mandriva.com> 1.65-3mdv2008.1
+ Revision: 154119
- XML::LibXML::Reader: get rid of "v-string in use/require non-portable" warning

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.65-2mdv2008.1
+ Revision: 151316
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.65-1mdv2008.1
+ Revision: 97577
- update to new version 1.65

* Wed Sep 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.64-1mdv2008.0
+ Revision: 84684
- update to new version 1.64
- add an obsoletes on perl-XML-LibXML-XPathContext (thanks titi)

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.63-1mdv2008.0
+ Revision: 20684
- 1.63


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2007.0
- New version 1.60

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2007.0
- new version
- rpmbuildupdate aware

* Fri Feb 03 2006 Pixel <pixel@mandriva.com> 1.58-3mdk
- rebuild
- don't use make install PREFIX, added SKIP_SAX_INSTALL for makeinstall_std to work
- drop MANIFEST from doc

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.58-2mdk
- rebuild for new perl

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.58-1mdk
- 1.58
- use %%make macro

